package ink.wgink.service.department.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MergeDepartmentInfoVO
 * @Description: 合并组织
 * @Author: WangGeng
 * @Date: 2020/6/5 15:25
 * @Version: 1.0
 **/
@ApiModel
public class MergeDepartmentInfoVO {

    @ApiModelProperty(name = "mergeDepartmentIds", value = "合并组织ID列表")
    @CheckEmptyAnnotation(name = "合并组织ID列表")
    private String mergeDepartmentIds;

    public String getMergeDepartmentIds() {
        return mergeDepartmentIds == null ? "" : mergeDepartmentIds.trim();
    }

    public void setMergeDepartmentIds(String mergeDepartmentIds) {
        this.mergeDepartmentIds = mergeDepartmentIds;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"mergeDepartmentIds\":\"")
                .append(mergeDepartmentIds).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
